Subject: Re: bug#4814: keyboard and system bug with Emacs CVS current through 2009-10-15 on w32

From: Jason Rumney <[email-masked]>
Date: Mon, 16 Aug 2010 20:41:48 +0800

On 16/8/2010 7:21 AM, MON KEY wrote:

> You don't explain the problem you are seeing clearly,
> Jason, no offense, but this is BS (and a cop out) and I take some
> degree of displeasure in pointing out that;
>
>   - Your recent follow up to bug#4814 was not cc'd to me;

My apologies, I assumed the bug tracker took care of this.

>   - The bug report in question is now nearly 10 months old;

There are bugs in the bug tracker that are much older.  While it might 
be nice to get a quick response to everything, that isn't always the way 
things work in projects that rely on people volunteering their spare 
time to work on the project.

>   - The nature of the bug wasn't/isn't a clearly describable problem.

Describing the symptoms you see is a good start.  Without that, noone is 
going to waste time trying to figure out what the bug is so they can 
start looking at it.

> Moreover, I did my best to indicate (and document) specifically that
> the problem did appear (at least to me) to involve:

Speculation about the possible cause of the bug is not what we need. We 
need to know what the symptoms are.

> ,----
> |
> | - "GNU Emacs 23.1.91.1 (i386-mingw-nt5.1.2600)
> |   of 2010-01-02 on PRETEST"<- FAILED
> |
> `----
>
>   with these two builds known to work as expected:
>
> ,----
> |
> |  - "Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
> |     of 2009-06-30 on LENNART-69DE564 (patched)"
> |
> |  - "Emacs 23.1.1 of 2009-07-30 on SOFT-MJASON"
> |
> `----

These are 5+ months apart.  There are many more potential causes than 
the few you've highlighted.
Since you are no longer prepared to help, we'll just have to leave this 
open in the hope that anyone hitting the same problem in future will be 
able to give us more information.